---
- name: apply nextcloud role
  collections:
    - community.general
    - ansible.posix
  hosts: web_servers
  vars:
    ansible_python_interpreter: /usr/bin/python3
      
  roles:
    - role: redis
      when: redis_daemon == "redis" or redis_daemon == "keydb"
    - role: web_php
    - role: nextcloud
      vars:
        #ansible_become_pass: ""
        NEXTCLOUD_VERSION: "25.0.12"
        nc_data_dir: /storage/nextcloud/data
        objectstore_s3_install: false
        #objectstore_s3_key: "229ZJOPCR6JHHU4HIP69"
        #objectstore_s3_secret: "xCnx98XN39fDKh3ACGQ9XuDJEOw7PRBxyFW4KjRs"
        #objectstore_s3_hostname: "192.168.56.71"
  
  environment:
    #http_proxy: http://proxy.sipr.ucl.ac.be:889
    https_proxy: http://proxy.sipr.ucl.ac.be:889
    #no_proxy: "127.0.0.1, localhost, 192.168.64.68, 192.168.64.73, 192.168.64.71, nextcloud.test.cism.ucl.ac.be, ceph.cism.ucl.ac.be, 192.168.64.110"
